Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionTabV2

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionTab
                      com.trolltech.qt.gui.QStyleOptionTabV2

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionTabV2

extends QStyleOptionTab

The `QStyleOptionTabV2` class is used to describe the parameters necessary for drawing a tabs in Qt 4.1 or above.

An instance of the `QStyleOptionTabV2` class has type `SO_Tab` and version 2. The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles. The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own `QStyle` subclass, you should handle both `QStyleOptionTab` and `QStyleOptionTabV2`. One way to achieve this is to use the `QStyleOptionTabV2` copy constructor. For example:

            if (const QStyleOptionTab *tabOption =
                   qstyleoption_cast<const QStyleOptionTab *>(option)) {
                QStyleOptionTabV2 tabV2(*tabOption);

                // draw the tab using tabV2
           }

In the example above: If `tabOption`'s version is 1, the extra member (`iconSize`) will be set to an invalid size for `tabV2`. If `tabOption`'s version is 2, the constructor will simply copy the `tab`'s `iconSize`.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOptionTab`, `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionTabV2.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionTab
`QStyleOptionTab.CornerWidget, QStyleOptionTab.CornerWidgets, QStyleOptionTab.SelectedPosition, QStyleOptionTab.StyleOptionType, QStyleOptionTab.TabPosition`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionTabV2()` Constructs a `QStyleOptionTabV2`.
`protected` | `QStyleOptionTabV2(int version)`
`` | `QStyleOptionTabV2(QStyleOptionTab other)` Constructs a `QStyleOptionTabV2` copy of the `other` style option which can be either of the `QStyleOptionTabV2` or `QStyleOptionTab` types.
`` | `QStyleOptionTabV2(QStyleOptionTabV2 other)` Constructs a copy of the `other` style option.

Method Summary
`static QStyleOptionTabV2` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionTabV2 instance pointed to by nativePointer
`QSize` | `iconSize()` Returns the size for the icons.
`static QNativePointer` | `nativePointerArray(QStyleOptionTabV2[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionTabV2 array.
`void` | `setIconSize(QSize iconSize)` Sets the size for the icons to `iconSize`.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionTab
`cornerWidgets, icon, nativePointerArray, position, row, selectedPosition, setCornerWidgets, setCornerWidgets, setIcon, setPosition, setRow, setSelectedPosition, setShape, setText, shape, text`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionTabV2

    public QStyleOptionTabV2(QStyleOptionTab other)

  Constructs a `QStyleOptionTabV2` copy of the `other` style option which can be either of the `QStyleOptionTabV2` or `QStyleOptionTab` types.

  If the other style option's version is 1, the new style option's `iconSize` is set to an invalid value. If its version is 2, its `iconSize` value is simply copied to the new style option.

### QStyleOptionTabV2

    public QStyleOptionTabV2(QStyleOptionTabV2 other)

  Constructs a copy of the `other` style option.

### QStyleOptionTabV2

    protected QStyleOptionTabV2(int version)

### QStyleOptionTabV2

    public QStyleOptionTabV2()

  Constructs a `QStyleOptionTabV2`.

Method Detail

### setIconSize

    public final void setIconSize(QSize iconSize)

  Sets the size for the icons to `iconSize`.

  The default value is `QSize`(-1, -1), i.e. an invalid size; use QStyle::pixelMetric() to find the default icon size for tab bars.

  See Also:
    `QTabBar::iconSize`

### iconSize

    public final QSize iconSize()

  Returns the size for the icons.

  The default value is `QSize`(-1, -1), i.e. an invalid size; use QStyle::pixelMetric() to find the default icon size for tab bars.

  See Also:
    `setIconSize`, `QTabBar::iconSize`

### fromNativePointer

    public static QStyleOptionTabV2 fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionTabV2 instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionTabV2[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionTabV2 array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD